Skip to navigation

Delete envelope document fields

View as Markdown
Deletes custom document fields from an existing envelope document.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

documentIdstringRequired
The ID of the document being accessed.
envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Request

This endpoint expects an object: EnvelopeDocumentFields

documentFieldslist of objectsOptional

The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by DocuSign. The array contains the elements:

  • name - A string that can be a maximum of 50 characters.
  • value - A string that can be a maximum of 200 characters.

IMPORTANT: If you are using xml, the name/value pair is contained in a nameValue element.

Response

Successful response.
documentFieldslist of objectsOptional

The array of name/value custom data strings to be added to a document. Custom document field information is returned in the status, but otherwise is not used by DocuSign. The array contains the elements:

  • name - A string that can be a maximum of 50 characters.
  • value - A string that can be a maximum of 200 characters.

IMPORTANT: If you are using xml, the name/value pair is contained in a nameValue element.

Errors

400
Bad Request Error